## rocs 4.13.0

=== CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2008-2011  Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2010       Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2011-2012  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(Rocs)

cmake_minimum_required(VERSION 2.8.8)
include(FeatureSummary)

#### Boost ####
# In CMake >= 2.8.6, FindBoost.cmake tries to find BoostConfig.cmake which is
# not compatible with CMake's FindBoost. Disable this function.
set(Boost_NO_BOOST_CMAKE TRUE)
find_package(Boost "1.43" REQUIRED)
set_package_info(Boost "Boost C++ Libraries" "http://www.boost.org")

set(KDE_MIN_VERSION "4.8")
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

find_package(Qt4 REQUIRED)
find_package(Grantlee REQUIRED)

remove_definitions(-DQT_NO_STL)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
if(${CMAKE_BUILD_TYPE} MATCHES coverage)
    set(CMAKE_CXX_COMPILER cov++)
endif()

# Rocs include dirs
set(ROCSCORE_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/RocsCore/"
    "${CMAKE_CURRENT_SOURCE_DIR}/RocsCore/LoadSave/"
)

set(ROCSVISUALEDITOR_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/VisualEditor/"
)

include_directories(
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${Boost_INCLUDE_DIRS}
    ${Grantlee_INCLUDE_DIRS}
)

# allow disabling building of optional graph file backands
option(ROCS_BUILD_LOADSAVE "ROCS_BUILD_LOADSAVE" ON)
add_feature_info(OptionalGraphFiles
    ROCS_BUILD_LOADSAVE
    "Building of extra graph file plugins"
)

# enable or disable experimental plugins
# experimental plugins are (by definition) not suited for release builds
option(ROCS_EXPERIMENTAL_PLUGINS "ROCS_EXPERIMENTAL_PLUGINS" OFF)
add_feature_info(ExperimentalPlugins
    ROCS_EXPERIMENTAL_PLUGINS
    "Building experimental/unstable plugins."
)

# main includes
add_subdirectory(RocsCore)
add_subdirectory(VisualEditor)
add_subdirectory(App)

# feature log
if(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")
    feature_summary(WHAT ALL)
endif(CMAKE_SOURCE_DIR STREQUAL "${CMAKE_CURRENT_SOURCE_DIR}")

add_subdirectory(graphics)
add_subdirectory(doc)

=== App/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2008-2011  Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2010-2012  Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2011-2012  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(rocs)

set(ROCS_VERSION_MAJOR 1)
set(ROCS_VERSION_MINOR 11)
set(ROCS_VERSION_PATCH 0)

configure_file( "${rocs_SOURCE_DIR}/rocsversion.h.cmake" "${rocs_BINARY_DIR}/rocsversion.h" @ONLY )

add_subdirectory(InterfacePlugins)

include_directories(
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${KROSS_INCLUDES}
    ${ROCSCORE_INCLUDES}
    ${ROCSVISUALEDITOR_INCLUDES}
    Actions/
    GraphicsItem/
    Ui/
    LoadSave/
    Plugins/
    Scripts/
)

set( rocs_actions_SRCS
    Actions/PropertiesDialogAction.cpp
)

set( rocs_interface_SRCS
    Ui/DocumentationWidget.cpp
    Ui/JournalEditorWidget.cpp
    Ui/SideDockWidget.cpp
    Ui/ImporterExporterManager.cpp
    Ui/IncludeManagerSettings.cpp
    Ui/MainWindow.cpp
    Ui/Separator.cpp
    Ui/TabWidget.cpp
    Ui/CodeEditor.cpp
    Ui/DocumentTypesWidget.cpp
    Ui/ConfigureDefaultProperties.cpp
    Ui/LoadedPluginsDialog.cpp
    Ui/PossibleIncludes.cpp
    Ui/ScriptOutputWidget.cpp
    InterfacePlugins/ApiDoc/ApiDocWidget.cpp
    InterfacePlugins/ApiDoc/ObjectDocumentation.cpp
    InterfacePlugins/ApiDoc/PropertyDocumentation.cpp
    InterfacePlugins/ApiDoc/MethodDocumentation.cpp
    InterfacePlugins/ApiDoc/ParameterDocumentation.cpp
    InterfacePlugins/ApiDoc/ApiDocManager.cpp
    InterfacePlugins/ApiDoc/ApiDocModel.cpp
)

set( rocs_SRCS
    Main.cpp
    ${rocs_interface_SRCS}
    ${rocs_script_SRC}
)

kde4_add_ui_files(
    rocs_SRCS
    Ui/DocumentationWidget.ui
    Ui/JournalEditorWidget.ui
    Ui/DocumentTypesWidget.ui
    Ui/ConfigureDefaultProperties.ui
    Ui/ScriptOutputWidget.ui
    InterfacePlugins/ApiDoc/ApiDocWidget.ui
)

# we currently only support QtScript
set( QT_USE_QTSCRIPT true )

set( rocs_KCFGS settings.kcfgc )

kde4_add_kcfg_files( rocs_Settings_SRCS ${rocs_KCFGS} )

# needed to get icon on windows
kde4_add_app_icon( rocs_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/../graphics/global/hi*-apps-rocs.png
)

kde4_add_executable( rocs
    ${rocs_SRCS}
    ${rocs_Settings_SRCS}
    ${rocs_RCC_SRCS}
)

target_link_libraries(rocs
    rocscore
    rocsvisualeditor
    ${KDE4_KDEUI_LIBS}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KROSSUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_KTEXTEDITOR_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTSCRIPTTOOLS_LIBRARY}
    ${QT_QTWEBKIT_LIBRARY}
    ${QT_QTXMLPATTERNS_LIBRARY}
    ${KDE4_KNEWSTUFF3_LIBS}
    ${Grantlee_CORE_LIBRARIES}
)

################## INSTALLS ##########################

install( TARGETS rocs  ${INSTALL_TARGETS_DEFAULT_ARGS} )

install( PROGRAMS rocs.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES rocsui.rc DESTINATION ${DATA_INSTALL_DIR}/rocs )
install( FILES rocs.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES rocs.knsrc DESTINATION ${CONFIG_INSTALL_DIR} )

add_subdirectory( Scripts )

# Build Tests if KDE_TEST is on
if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif(KDE4_BUILD_TESTS)

=== doc/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/en SUBDIR rocs)

=== RocsCore/EngineModules/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2013  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##


FILE(GLOB schemes *.xsd)
install(FILES ${schemes} DESTINATION ${DATA_INSTALL_DIR}/rocs/schemes)

# change this to automatical install of XML files
install(FILES Console/Console.xml DESTINATION ${DATA_INSTALL_DIR}/rocs/engineapi)

=== App/InterfacePlugins/ApiDoc/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2013  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

add_subdirectory(HtmlView)

=== RocsCore/DataStructures/Graph/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2011       Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2011       Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2011-2012  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(GraphStructure)

include_directories(
    ${ROCSCORE_INCLUDES}
    ${ROCSVISUALEDITOR_INCLUDES}
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
)

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)


set(GraphStructure_SRC
    GraphNode.cpp
    GraphStructure.cpp
    GraphPlugin.cpp
    NodeItem.cpp
    EdgeItem.cpp)

kde4_add_plugin(rocs_GraphStructure ${GraphStructure_SRC})

target_link_libraries(rocs_GraphStructure
                ${KDE4_KDEUI_LIBS}
                ${QT_QTSCRIPT_LIBRARY}
                ${QT_QTSCRIPTTOOLS_LIBRARY}
                rocscore
                rocsvisualeditor)

install(TARGETS rocs_GraphStructure  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES rocs_GraphStructure.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES GraphStructure.xml DESTINATION ${DATA_INSTALL_DIR}/rocs/engineapi)
install(FILES GraphNode.xml DESTINATION ${DATA_INSTALL_DIR}/rocs/engineapi)
install(FILES GraphEdge.xml DESTINATION ${DATA_INSTALL_DIR}/rocs/engineapi)

if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif(KDE4_BUILD_TESTS)

=== VisualEditor/Tools/TransformEdges/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2011  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)


set(TransformEdgesToolsPlugin_SRC TransformEdgesToolsPlugin.cpp TransformEdgesWidget.cpp)

kde4_add_ui_files( TransformEdgesToolsPlugin_SRC TransformEdgesWidget.ui )

kde4_add_plugin(rocs_transformedgesplugin ${TransformEdgesToolsPlugin_SRC} )
target_link_libraries( rocs_transformedgesplugin
                       ${KDE4_KDEUI_LIBS}
                       rocscore
                       rocsvisualeditor)

install( TARGETS rocs_transformedgesplugin  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES rocs_transformedgesplugin.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== RocsCore/DataStructures/Graph/Tests/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
)

# basic functionality tests of data structure
set (TestGraphStructure_SRCS
    TestGraphStructure.cpp
    ../GraphStructure.cpp
    ../GraphNode.cpp
)
kde4_add_executable(TestGraphStructure ${TestGraphStructure_SRCS} )
set_target_properties(TestGraphStructure PROPERTIES COMPILE_FLAGS -DROCS_GRAPHSTRUCTURE_EXPORT=)
target_link_libraries( TestGraphStructure
    rocscore
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KROSSUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestGraphStructure TestGraphStructure)


# graph algorithms
set (TestGraphStructureAlgorithms_SRCS
    TestGraphStructureAlgorithms.cpp
    ../GraphStructure.cpp
    ../GraphNode.cpp
)
kde4_add_executable(TestGraphStructureAlgorithms ${TestGraphStructureAlgorithms_SRCS} )
set_target_properties(TestGraphStructureAlgorithms PROPERTIES COMPILE_FLAGS -DROCS_GRAPHSTRUCTURE_EXPORT=)
target_link_libraries( TestGraphStructureAlgorithms
    rocscore
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KROSSUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestGraphStructureAlgorithms TestGraphStructureAlgorithms)

=== RocsCore/LoadSave/Plugins/dotFileFormat/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(RocsDotFileFormatPlugin)

include_directories(
    ${ROCSCORE_INCLUDES}
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
)

set(dotFileFormatPlugin_SRCS
    DotFileFormatPlugin.cpp
    DotGrammar.cpp
    DotGraphParsingHelper.cpp
)

kde4_add_plugin(rocs_dotfileformat ${dotFileFormatPlugin_SRCS})

target_link_libraries(rocs_dotfileformat
    rocscore
    ${KDE4_KDEUI_LIBS}
)

install(TARGETS rocs_dotfileformat DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES rocs_dotfileformatplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif(KDE4_BUILD_TESTS)

=== RocsCore/LoadSave/Plugins/gmlFileFormat/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

project(RocsGmlFileFormatPlugin)

include_directories(
    ${ROCSCORE_INCLUDES}
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
)
add_definitions(-DQT_STL)

set(gmlFileFormatPlugin_SRCS
    GmlFileFormatPlugin.cpp
    GmlGrammar.cpp
    GmlGraphParsingHelper.cpp
)

kde4_add_plugin(rocs_gmlfileformat ${gmlFileFormatPlugin_SRCS})

target_link_libraries(rocs_gmlfileformat
    rocscore
    ${KDE4_KDEUI_LIBS}
)

install(TARGETS rocs_gmlfileformat DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES rocs_gmlfileformatplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif(KDE4_BUILD_TESTS)

=== RocsCore/LoadSave/Plugins/tgfFileFormat/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
# ##

project(RocsTgfFileFormatPlugin)

include_directories(
    ${ROCSCORE_INCLUDES}
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
)

set(tgfFileFormatPlugin_SRCS
    TgfFileFormatPlugin.cpp
)

kde4_add_plugin(rocs_tgffileformat ${tgfFileFormatPlugin_SRCS} )

target_link_libraries(rocs_tgffileformat
    ${KDE4_KDEUI_LIBS}
    rocscore
)

install(TARGETS rocs_tgffileformat DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES rocs_tgffileformatplugin.desktop DESTINATION ${SERVICES_INSTALL_DIR})

if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory(Tests)
endif(KDE4_BUILD_TESTS)

=== RocsCore/LoadSave/Plugins/dotFileFormat/Tests/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

file(COPY TestGraphs/directed DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
file(COPY TestGraphs/undirected DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

set(TestDotFileFormatPlugin_SRCS
    DotFileFormatTest.cpp
    ../DotGrammar.cpp
    ../DotGraphParsingHelper.cpp
    ../DotFileFormatPlugin.cpp
)
kde4_add_unit_test(TestDotFileFormatPlugin ${TestDotFileFormatPlugin_SRCS})
target_link_libraries(TestDotFileFormatPlugin
    rocscore
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
)
add_test(TestDotFileFormatPlugin TestDotFileFormatPlugin)

=== debian/changelog ===
rocs (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:33:47 +0100

rocs (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 12:01:18 +0200

rocs (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 13:05:36 +0100

rocs (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 12:10:11 +0000

rocs (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:21:42 +0100

rocs (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:36:04 +0000

rocs (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:50:43 +0000

rocs (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:53:00 +0000

rocs (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:51:25 +0000

rocs (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:45:33 +0100

rocs (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 18:07:21 +0100

rocs (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
 Pino Toscano <pino@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.13.0),
 libboost1.54-dev (>= 1.43),
 libboost-graph1.54-dev,
 libqtwebkit-dev,
 libgrantlee-dev,
 libx11-dev
Standards-Version: 3.9.3
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
X-Vcs-Debian-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
X-Vcs-Debian-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DKDE4_BUILD_TESTS=false

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

.PHONY: override_dh_auto_test

## rocs 4.13.3

=== VisualEditor/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

include_directories(
    ${ROCSCORE_INCLUDES}
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

# Prepare library.
set( rocsvisualeditor_scene_SRCS
    Scene/DataItem.cpp
    Scene/GraphicsLayout.cpp
    Scene/GraphScene.cpp
    Scene/PointerItem.cpp
)

set( rocsvisualeditor_actions_SRCS
    Actions/AlignAction.cpp
    Actions/AbstractAction.cpp
    Actions/AddConnectionHandAction.cpp
    Actions/AddDataAction.cpp
    Actions/DeleteAction.cpp
    Actions/ZoomAction.cpp
    Actions/AddDataHandAction.cpp
    Actions/DeleteHandAction.cpp
    Actions/AssignValueAction.cpp
    Actions/SelectMoveHandAction.cpp
    Actions/PropertiesDialogAction.cpp
)

set( rocsvisualeditor_interface_SRCS
    Interface/DataPropertiesWidget.cpp
    Interface/DataStructurePropertiesDialog.cpp
    Interface/DocumentPropertiesDialog.cpp
    Interface/DataStructurePage.cpp
    Interface/DataTypePage.cpp
    Interface/PointerTypePage.cpp
    Interface/PointerPropertiesWidget.cpp
    Interface/EditorToolbar.cpp

    Interface/model_GraphProperties.cpp
)

set( rocsvisualeditor_tools_SRCS
    Tools/ToolManager.cpp
    Tools/ToolsPluginInterface.cpp
)

set( rocsvisualeditor_SRCS
    GraphVisualEditor.cpp

    ${rocsvisualeditor_actions_SRCS}
    ${rocsvisualeditor_scene_SRCS}
    ${rocsvisualeditor_interface_SRCS}
    ${rocsvisualeditor_tools_SRCS}
)

kde4_add_ui_files( rocsvisualeditor_SRCS
    Interface/DataStructurePage.ui
    Interface/DataTypePage.ui
    Interface/PointerTypePage.ui
    Interface/DataPropertiesWidget.ui
    Interface/PointerPropertiesWidget.ui
)

kde4_add_library( rocsvisualeditor SHARED ${rocsvisualeditor_SRCS} )

target_link_libraries( rocsvisualeditor
    rocscore
    ${KDE4_KROSSCORE_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${QT_QTSCRIPTTOOLS_LIBRARY}
)

set( rocsvisualeditor_LIB_HDRS
    Scene/DataItem.h
    Scene/PointerItem.h
    GraphVisualEditor.h
)

add_subdirectory(Tools)

set_target_properties( rocsvisualeditor PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )

install( TARGETS rocsvisualeditor  ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES ${rocsvisualeditor_LIB_HDRS}  DESTINATION ${INCLUDE_INSTALL_DIR}/rocs  COMPONENT Devel )

################## INSTALLS ##########################

install( FILES
    Tools/RocsToolsPlugin.desktop
    DESTINATION
    ${SERVICETYPES_INSTALL_DIR}
)

# Build Tests if KDE_TEST is on
if(KDE4_BUILD_TESTS)
    enable_testing()
    add_subdirectory( Tests )
endif(KDE4_BUILD_TESTS)

=== App/InterfacePlugins/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2013  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

# TODO this directory will become dynamic
add_subdirectory(ApiDoc)

=== VisualEditor/Tools/GenerateGraph/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2011-2012  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

include_directories( ${KDE4_INCLUDES} ${QT_INCLUDES} )

ADD_DEFINITIONS(${QT_DEFINITIONS})
ADD_DEFINITIONS(-DQT_PLUGIN)
ADD_DEFINITIONS(-DQT_NO_DEBUG)
ADD_DEFINITIONS(-DQT_SHARED)


set(GenerateGraphToolsPlugin_SRC GenerateGraphToolsPlugin.cpp GenerateGraphWidget.cpp)

kde4_add_ui_files( GenerateGraphToolsPlugin_SRC GenerateGraphWidget.ui )


kde4_add_plugin(rocs_generategraphplugin ${GenerateGraphToolsPlugin_SRC} )
target_link_libraries(  rocs_generategraphplugin
                        ${KDE4_KDEUI_LIBS}
                        rocscore
                        rocsvisualeditor
)

install( TARGETS rocs_generategraphplugin  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES rocs_generategraphplugin.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== App/InterfacePlugins/ApiDoc/HtmlView/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2013  Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

install( FILES objectApi.html DESTINATION ${DATA_INSTALL_DIR}/rocs/plugin/apidoc/)
install( FILES overview.html DESTINATION ${DATA_INSTALL_DIR}/rocs/plugin/apidoc/)
install( FILES bootstrap.css DESTINATION ${DATA_INSTALL_DIR}/rocs/plugin/apidoc/)
install( FILES bootstrap-apiview.css DESTINATION ${DATA_INSTALL_DIR}/rocs/plugin/apidoc/)

=== RocsCore/LoadSave/Plugins/gmlFileFormat/Tests/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

file(COPY example.gml DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

set(TestGmlFileFormatPlugin_SRCS
    GmlFileFormatTest.cpp
    ../GmlGrammar.cpp
    ../GmlGraphParsingHelper.cpp
    ../GmlFileFormatPlugin.cpp
)
kde4_add_unit_test(TestGmlFileFormatPlugin ${TestGmlFileFormatPlugin_SRCS})
target_link_libraries(TestGmlFileFormatPlugin
    rocscore
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
)
add_test(TestGmlFileFormatPlugin TestGmlFileFormatPlugin)

=== RocsCore/LoadSave/Plugins/kmlFileFormat/Tests/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(TestKmlFileFormatPlugin_SRCS
    KmlFileFormatTest.cpp
    ../KmlHandler.cpp
    ../KmlFileFormatPlugin.cpp
)
kde4_add_unit_test(TestKmlFileFormatPlugin ${TestKmlFileFormatPlugin_SRCS})
target_link_libraries(TestKmlFileFormatPlugin
    rocscore
    ${QT_QTXML_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
)
add_test(TestKmlFileFormatPlugin TestKmlFileFormatPlugin)

=== debian/changelog ===
rocs (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:39:05 +0200

rocs (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:56:43 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
  libboost1.54-dev (>= 1.43),
  libboost-graph1.54-dev,
  libqtwebkit-dev,

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/rocs-([\d\.]*).tar.xz

## rocs 4.14.1

=== debian/changelog ===
rocs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 18:03:09 +0200

rocs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:46:09 +0200

rocs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:39:40 +0200

rocs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 20:58:36 +0200

rocs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream beta release

  [ Jonathan Riddell ]
  * update not-installed
  * add appdata file to .install

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:52:10 +0200

rocs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Jun 2014 12:10:50 +0100

rocs (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 14:03:20 +0200

rocs (4:4.12.4-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:04 +0200

rocs (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:05:44 +0100

rocs (4:4.12.2-1) experimental; urgency=medium

  * Remove extra test file.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:40 +0100

rocs (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Build the unit tests.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add autopkgtests.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 29 Jan 2014 16:19:43 +0100

rocs (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 15:23:57 +0100

rocs (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 16:53:13 +0200

rocs (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:43:14 +0200

rocs (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  [ Pino Toscano ]
  * Remove the extra libboost-graph1.49.0 build dependency, now unused.

  [ Maximiliano Curia ]
  * Update install file.
  * Add libx11-dev build-dep.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 14:31:39 +0200

rocs (4:4.13.0-0ubuntu2) UNRELEASED; urgency=medium

  * Build against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:15:10 +0100

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.14.1),
               libboost1.55-dev (>= 1.43),
               libboost-graph1.55-dev,
               libgrantlee-dev,
               libqtwebkit-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/rocs
X-Debian-Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 4.14.2

=== RocsCore/LoadSave/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##
#### Build Load/Save plugins.
if (ROCS_BUILD_LOADSAVE)
    add_subdirectory(Plugins)
endif(ROCS_BUILD_LOADSAVE)

=== RocsCore/Tests/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2009       Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   Copyright 2010       Wagner Reck <wagner.reck@gmail.com>
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

include_directories(
    ../
    ${CMAKE_CURRENT_BINARY_DIR}
)

# basic functionality tests of data structure
set (TestDataStructure_SRCS
    ../../RocsCore/Tests/TestDataStructure.cpp
)
kde4_add_executable(TestDataStructure ${TestDataStructure_SRCS} )
target_link_libraries( TestDataStructure
    rocscore
    ${KDE4_KROSSUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestDataStructure TestDataStructure)


# DynamicPropertiesList
set( testDynamicProperties_SRCS
    ../../RocsCore/Tests/TestDynamicProperties.cpp
)
kde4_add_executable(TestDynamicProperties ${testDynamicProperties_SRCS})
target_link_libraries( TestDynamicProperties
    rocscore
    ${KDE4_KROSSUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestDynamicProperties TestDynamicProperties)


# loading and saving tests
set (TestLoadSave_SRCS
    ../../RocsCore/Tests/TestLoadSave.cpp
)
file(COPY TestGraphFiles DESTINATION ${CMAKE_CURRENT_BINARY_DIR})
kde4_add_executable(TestLoadSave ${TestLoadSave_SRCS} )
target_link_libraries( TestLoadSave
    rocscore
    ${KDE4_KROSSUI_LIBS}
    ${QT_QTGUI_LIBRARY}
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
)
add_test(TestLoadSave TestLoadSave)


# test data structure plugin interface
set( test_Plugins_SRC ../../RocsCore/Tests/TestPlugins.cpp)
kde4_add_executable( TestPlugins ${test_Plugins_SRC})
target_link_libraries( TestPlugins
    rocscore
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${KDE4_KIO_LIBS}
)
add_test(TestPlugins TestPlugins)


# test script engine
set( test_ScriptEngine_SRC ../../RocsCore/Tests/TestScriptEngine.cpp)
kde4_add_executable( TestScriptEngine ${test_ScriptEngine_SRC})
target_link_libraries( TestScriptEngine
    rocscore
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
    ${QT_QTSCRIPT_LIBRARY}
    ${KDE4_KIO_LIBS}
)
add_test(TestScriptEngine TestScriptEngine)

=== RocsCore/LoadSave/Plugins/tikzFileFormat/Tests/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   Copyright 2012       Andreas Cord-Landwehr <cola@uni-paderborn.de>
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2 of
#   the License, or (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.
##

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

set(TestTikzFileFormatPlugin_SRCS
    TestTikzFileFormatPlugin.cpp
    ../TikzFileFormatPlugin.cpp
)

kde4_add_unit_test(TestTikzFileFormatPlugin ${TestTikzFileFormatPlugin_SRCS})
target_link_libraries(TestTikzFileFormatPlugin
    rocscore
    ${QT_QTTEST_LIBRARY}
    ${KDE4_KDECORE_LIBS}
)
add_test(TestTikzFileFormatPlugin TestTikzFileFormatPlugin)

=== debian/changelog ===
rocs (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:35 +0200

rocs (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:46 +0200

rocs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update install file.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 14:06:17 +0200

rocs (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jul 2014 10:55:02 +0200

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               libboost-dev (>= 1.43),
               libboost-graph-dev,
               libgrantlee-dev,
               libqtwebkit-dev,
               libx11-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/rocs.git
Vcs-Browser: http://anonscm.debian.org/git/pkg-kde/kde-sc/rocs.git

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

override_dh_auto_install:
	$(overridden_command) --destdir=debian/tmp

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/rocs-([\d.]+).tar.xz
